> For the complete documentation index, see [llms.txt](https://docs.matchplay.events/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.matchplay.events/players-and-arenas-api.md).

# Players & arenas API

Match Play APIs will generally only respond with the player id or the arena id for performance reasons. Separate API requests are necessary to receive the underlying player and arena objects.

When [fetching a tournament](/tournaments-api.md#get-tournament) set `includePlayers=true` and `includeArenas=true` to receive the initial set of players and arenas for the tournament. If you subsequently are exposed to unknown player or arena ids you can use the APIs on this page to resolve them.

## Resolve unknown arenas

```http
GET /api/arenas/resolve-unknown
```

Provide a comma-separated list of arena ids and receive the arena objects.

**Query params**

| Name              | Description                                                       |
| ----------------- | ----------------------------------------------------------------- |
| `arenas` (string) | Comma-separated list of arena ids. Provide no more than `25` ids. |

## Resolve unknown players

```http
GET /api/players/resolve-unknown
```

Provide a comma-separated list of player ids and receive the player objects.

**Query params**

| Name               | Description                                                        |
| ------------------ | ------------------------------------------------------------------ |
| `players` (string) | Comma-separated list of player ids. Provide no more than `25` ids. |

## Resolve unknown tournament arenas

```http
GET /api/tournaments/{tournamentId}/arenas/resolve-unknown
```

Provide a comma-separated list of arena ids and receive the arena objects including pivot data for the specific tournament (like arena labels and active/inactive status).

**Query params**

| Name              | Description                                                       |
| ----------------- | ----------------------------------------------------------------- |
| `arenas` (string) | Comma-separated list of arena ids. Provide no more than `25` ids. |

## Resolve unknown tournament players

```http
GET /api/tournaments/{tournamentId}/players/resolve-unknown
```

Provide a comma-separated list of player ids and receive the player objects including pivot data for the specific tournament (like player labels, seeding and active/inactive status).

**Query params**

| Name               | Description                                                        |
| ------------------ | ------------------------------------------------------------------ |
| `players` (string) | Comma-separated list of player ids. Provide no more than `25` ids. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.matchplay.events/players-and-arenas-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
